# FoundationClasses
TKAdvTools
Dynamic

# Dynamic_CompositMethod Class Reference

A composite method is defined as a collection of
method instances. This collection describes a more
complex program or a network of elementary
functions. The order of the method instances is
not significant. It is the references to the
variables which define the signature of the
composite method which define the precedence of
one method in relation with another.
.

`#include <Dynamic_CompositMethod.hxx>`

Inheritance diagram for Dynamic_CompositMethod:

[legend]

## Public Member Functions

Standard_EXPORT | Dynamic_CompositMethod (const Standard_CString aname)
| Creates a composit method with <aname> as name. .
Standard_EXPORT void | Method (const Handle(Dynamic_Method)&amethod)
| Adds <amethod>, which is an elementary or a composit method to <me>. .
Standard_EXPORT Standard_Integer | NumberOfMethods () const
| Returns the number of methods referenced by the composit method <me>. .
Standard_EXPORT Handle_Dynamic_Method | Method (const Standard_Integer anindex) const
| Returns the method of range <anindex>. .
virtual Standard_EXPORT void | Dump (Standard_OStream &astream) const
| Useful for debugging. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Dynamic_SequenceOfMethods | thesequenceofmethods

## Constructor & Destructor Documentation

Standard_EXPORT Dynamic_CompositMethod::Dynamic_CompositMethod | ( | const Standard_CString | aname | ) |

## Member Function Documentation

virtual Standard_EXPORT void Dynamic_CompositMethod::Dump | ( | Standard_OStream & | astream | ) | const`[virtual]`

| Reimplemented from Dynamic_MethodDefinition.

Standard_EXPORT const Dynamic_CompositMethod::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Dynamic_MethodDefinition.

Standard_EXPORT Handle_Dynamic_Method Dynamic_CompositMethod::Method | ( | const Standard_Integer | anindex | ) | const

Standard_EXPORT void Dynamic_CompositMethod::Method | ( | const Handle(Dynamic_Method)& | amethod | ) |

Standard_EXPORT Standard_Integer Dynamic_CompositMethod::NumberOfMethods | ( |  | ) | const

## Field Documentation

Handle_Dynamic_SequenceOfMethods Dynamic_CompositMethod::thesequenceofmethods `[private]`

The documentation for this class was generated from the following file:

- Dynamic_CompositMethod.hxx